*
* Generic triode model: 12AY7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:10 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 12AY7 A G K
.param GG {(V(G,K)+0.71171435)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0094119714*EP)^-0.68363668)}
.param M2 {((0.68692746*URAMP(GG+EP/33.263227))^2.1836367)}
.param P  {(0.00092634255*URAMP(GG+EP/48.423202)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00054133951*M1*M2)}
.param IG {(0.00046317128*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00049201413*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.3p
CGK G K 1.3p
CAK A K 0.6p
.ENDS
