*
* Generic pentode model: 25E5
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:19 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 25E5 A G2 G1 K
.param GG  {(V(G1,K)+1)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.081561717*EG2)^-0.79980677)}
.param M2  {((0.65222871*URAMP(GG+EG2/4.2639035))^2.2998068)}
.param P   {(0.0042185857*URAMP(GG+EG2/6.5374361)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0025511424*M1*M2)}
.param IG  {(0.0021092928*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.960918328*(1-EP/(EP+10))^1.5+0.039081672))}
.param IK3 {(IK2*(EP+1400)/(EG2+1400))}
.param IK4 {(IK3-URAMP(IK3-(0.00311336*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.00311336*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  1.1p
CGK G1 K  9.9p
C12 G1 G2 6.6p
CAK A  K  7p
.ENDS
