*
* Generic pentode model: 31LZ6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:20 2008
*             Plate
*             | Screen Grid
*             | | Control Grid
*             | | | Cathode
*             | | | |
.SUBCKT 31LZ6 A G2 G1 K
.param GG  {(V(G1,K)+-0.11976616)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.21025804*EG2)^-1.445676)}
.param M2  {((0.50922098*URAMP(GG+EG2/2.3341748))^2.945676)}
.param P   {(0.0061264796*URAMP(GG+EG2/4.5838151)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0058083241*M1*M2)}
.param IG  {(0.0030632398*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.9984634955*(1-EP/(EP+10))^1.5+0.0015365045))}
.param IK3 {(IK2*(EP+1345)/(EG2+1345))}
.param IK4 {(IK3-URAMP(IK3-(0.0051737191*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0051737191*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.6p
CGK G1 K  12.9p
C12 G1 G2 8.6p
CAK A  K  10.4p
.ENDS
