*
* Generic pentode model: 6197
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:13 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6197 A G2 G1 K
.param GG  {(V(G1,K)+0.45955375)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.014421851*EG2)^-0.5339196)}
.param M2  {((0.73749228*URAMP(GG+EG2/18.202083))^2.0339196)}
.param P   {(0.0053217435*URAMP(GG+EG2/24.681049)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0030656981*M1*M2)}
.param IG  {(0.0026608717*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.81697318*(1-EP/(EP+10))^1.5+0.18302682))}
.param IK3 {(IK2*(EP+3900)/(EG2+3900))}
.param IK4 {(IK3-URAMP(IK3-(0.002987557*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.002987557*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.125p
CGK G1 K  6.9p
C12 G1 G2 4.6p
CAK A  K  5p
.ENDS
