*
* Generic triode model: 6AH4
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:01 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6AH4 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.045930854*EP)^-0.72062066)}
.param M2 {((0.67548683*URAMP(GG+EP/7.0652545))^2.2206207)}
.param P  {(0.0021845366*URAMP(GG+EP/10.4595)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0012880266*M1*M2)}
.param IG {(0.0010922683*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0014129261*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.4p
CGK G K 7p
CAK A K 1.7p
.ENDS
