*
* Generic pentode model: 6AU6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:10 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6AU6 A G2 G1 K
.param GG  {(V(G1,K)+0.24107953)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.014176045*EG2)^-0.93570358)}
.param M2  {((0.61583848*URAMP(GG+EG2/27.099343))^2.4357036)}
.param P   {(0.0032162308*URAMP(GG+EG2/44.003978)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0020681021*M1*M2)}
.param IG  {(0.0016081154*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.71681629*(1-EP/(EP+10))^1.5+0.28318371))}
.param IK3 {(IK2*(EP+15750)/(EG2+15750))}
.param IK4 {(IK3-URAMP(IK3-(0.0017183702*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0017183702*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.0035p
CGK G1 K  3.3p
C12 G1 G2 2.2p
CAK A  K  5p
.ENDS
