*
* Generic triode model: 6CK4
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:42 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6CK4 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.065687609*EP)^-0.93132007)}
.param M2 {((0.6169488*URAMP(GG+EP/5.8314073))^2.4313201)}
.param P  {(0.0032983716*URAMP(GG+EP/9.4520117)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0021160382*M1*M2)}
.param IG {(0.0014546477*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0020871033*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6.5p
CGK G K 8p
CAK A K 1.8p
.ENDS
