*
* Generic pentode model: 6CW5
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:44 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6CW5 A G2 G1 K
.param GG  {(V(G1,K)+0.38874904)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.09419804*EG2)^-1.560546)}
.param M2  {((0.49010862*URAMP(GG+EG2/5.4129723))^3.060546)}
.param P   {(0.0055371733*URAMP(GG+EG2/11.044434)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0058898823*M1*M2)}
.param IG  {(0.0027685867*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.945717092*(1-EP/(EP+10))^1.5+0.054282908))}
.param IK3 {(IK2*(EP+2245)/(EG2+2245))}
.param IK4 {(IK3-URAMP(IK3-(0.0035373923*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0035373923*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.6p
CGK G1 K  6.9p
C12 G1 G2 4.6p
CAK A  K  5.4p
.ENDS
