*
* Generic pentode model: 6EJ7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:53 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6EJ7 A G2 G1 K
.param GG  {(V(G1,K)+0.40321166)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.0054275937*EG2)^-0.61801526)}
.param M2  {((0.7082102*URAMP(GG+EG2/53.760436))^2.1180153)}
.param P   {(0.019963362*URAMP(GG+EG2/75.910283)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.011540933*M1*M2)}
.param IG  {(0.0099816812*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.71666698*(1-EP/(EP+10))^1.5+0.28333302))}
.param IK3 {(IK2*(EP+5500)/(EG2+5500))}
.param IK4 {(IK3-URAMP(IK3-(0.010377457*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.010377457*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.005p
CGK G1 K  6p
C12 G1 G2 4p
CAK A  K  3p
.ENDS
