*
* Generic triode model: 6EW72
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:00 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6EW72 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.13863586*EP)^-1.9260987)}
.param M2 {((0.43781576*URAMP(GG+EP/4.0551143))^3.4260987)}
.param P  {(0.0052367933*URAMP(GG+EP/9.262148)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0084764746*M1*M2)}
.param IG {(0.0026183967*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.003488988*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9p
CGK G K 7p
CAK A K 1.2p
.ENDS
