*
* Generic pentode model: 6F6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:04 2008
*           Plate
*           | Screen Grid
*           | | Control Grid
*           | | | Cathode
*           | | | |
.SUBCKT 6F6 A G2 G1 K
.param GG  {(V(G1,K)+0.99999999)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.043621772*EG2)^-0.51782633)}
.param M2  {((0.74337419*URAMP(GG+EG2/5.8829755))^2.0178263)}
.param P   {(0.00053269576*URAMP(GG+EG2/7.9138819)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.00030710831*M1*M2)}
.param IG  {(0.00019764236*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.84588664*(1-EP/(EP+10))^1.5+0.15411336))}
.param IK3 {(IK2*(EP+3830)/(EG2+3830))}
.param IK4 {(IK3-URAMP(IK3-(0.00037552047*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.00037552047*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.7p
CGK G1 K  5p
C12 G1 G2 3.3p
CAK A  K  6.9p
.ENDS
