*
* Generic pentode model: 6GB5
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:07 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6GB5 A G2 G1 K
.param GG  {(V(G1,K)+0.84509256)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.074600608*EG2)^-0.78902807)}
.param M2  {((0.65529996*URAMP(GG+EG2/4.6206063))^2.2890281)}
.param P   {(0.0051497371*URAMP(GG+EG2/7.0511317)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0031020384*M1*M2)}
.param IG  {(0.0025748686*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.963603604*(1-EP/(EP+10))^1.5+0.036396396))}
.param IK3 {(IK2*(EP+4658)/(EG2+4658))}
.param IK4 {(IK3-URAMP(IK3-(0.0037083507*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0037083507*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  1.75p
CGK G1 K  12.9p
C12 G1 G2 8.6p
CAK A  K  9.4p
.ENDS
