*
* Generic pentode model: 6KM6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:37 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6KM6 A G2 G1 K
.param GG  {(V(G1,K)+0.57761874)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.52339318*EG2)^-5.2554363)}
.param M2  {((0.22204339*URAMP(GG+EG2/1.4863713))^6.7554363)}
.param P   {(0.006536245*URAMP(GG+EG2/6.6940577)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*4.7534114*M1*M2)}
.param IG  {(0.0032681225*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.987878393*(1-EP/(EP+10))^1.5+0.012121607))}
.param IK3 {(IK2*(EP+1060)/(EG2+1060))}
.param IK4 {(IK3-URAMP(IK3-(0.0047861683*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0047861683*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  1.2p
CGK G1 K  12.6p
C12 G1 G2 8.4p
CAK A  K  7.9p
.ENDS
