*
* Generic pentode model: 6LF6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:41 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6LF6 A G2 G1 K
.param GG  {(V(G1,K)+0.95447628)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.32637983*EG2)^-2.7688412)}
.param M2  {((0.35138341*URAMP(GG+EG2/1.987306))^4.2688412)}
.param P   {(0.0091876684*URAMP(GG+EG2/5.6556625)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.05015216*M1*M2)}
.param IG  {(0.0045938342*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.98106839*(1-EP/(EP+10))^1.5+0.01893161))}
.param IK3 {(IK2*(EP+1910)/(EG2+1910))}
.param IK4 {(IK3-URAMP(IK3-(0.0071353288*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0071353288*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  2.5p
CGK G1 K  20.9p
C12 G1 G2 13.9p
CAK A  K  16.2p
.ENDS
