*
* Generic pentode model: 6U8P
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:03 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6U8P A G2 G1 K
.param GG  {(V(G1,K)+0.65071871)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.046006989*EG2)^-2.7651713)}
.param M2  {((0.35168575*URAMP(GG+EG2/14.091647))^4.2651713)}
.param P   {(0.003445744*URAMP(GG+EG2/40.068859)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.018698107*M1*M2)}
.param IG  {(0.001722872*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.74580496*(1-EP/(EP+10))^1.5+0.25419504))}
.param IK3 {(IK2*(EP+6302.5)/(EG2+6302.5))}
.param IK4 {(IK3-URAMP(IK3-(0.0018526668*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0018526668*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.007p
CGK G1 K  3p
C12 G1 G2 2p
CAK A  K  3.5p
.ENDS
