*
* Generic pentode model: 6W6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:06 2008
*           Plate
*           | Screen Grid
*           | | Control Grid
*           | | | Cathode
*           | | | |
.SUBCKT 6W6 A G2 G1 K
.param GG  {(V(G1,K)+0.99999997)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.032441217*EG2)^-0.3672418)}
.param M2  {((0.80332392*URAMP(GG+EG2/6.062537))^1.8672418)}
.param P   {(0.0022625178*URAMP(GG+EG2/7.546815)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.001349448*M1*M2)}
.param IG  {(0.0012737812*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.947317212*(1-EP/(EP+10))^1.5+0.052682788))}
.param IK3 {(IK2*(EP+1507)/(EG2+1507))}
.param IK4 {(IK3-URAMP(IK3-(0.0012049281*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0012049281*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.8p
CGK G1 K  8.6p
C12 G1 G2 5.7p
CAK A  K  8.2p
.ENDS
