*
* Generic pentode model: E83F
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:32 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT E83F A G2 G1 K
.param GG  {(V(G1,K)+0.67775811)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.012440248*EG2)^-0.83377528)}
.param M2  {((0.6427354*URAMP(GG+EG2/28.718446))^2.3337753)}
.param P   {(0.0069226192*URAMP(GG+EG2/44.6816)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0042425066*M1*M2)}
.param IG  {(0.0034613096*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.81925243*(1-EP/(EP+10))^1.5+0.18074757))}
.param IK3 {(IK2*(EP+9975)/(EG2+9975))}
.param IK4 {(IK3-URAMP(IK3-(0.0036950034*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0036950034*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.015p
CGK G1 K  4.8p
C12 G1 G2 3.2p
CAK A  K  3.5p
.ENDS
