*
* Generic triode model: ECC86
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:40 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT ECC86 A G K
.param GG {(V(G,K)+0.38539466)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.057387275*EP)^-1.5833861)}
.param M2 {((0.48647816*URAMP(GG+EP/8.9483573))^3.0833861)}
.param P  {(0.0043259684*URAMP(GG+EP/18.394161)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.004712875*M1*M2)}
.param IG {(0.0021629842*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0025205087*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.3p
CGK G K 3p
CAK A K 1.8p
.ENDS
