*
* Generic triode model: ECC88
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:43 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT ECC88 A G K
.param GG {(V(G,K)+0.34001426)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.009343174*EP)^-0.49661195)}
.param M2 {((0.75127268*URAMP(GG+EP/26.621288))^1.9966119)}
.param P  {(0.007130155*URAMP(GG+EP/35.434921)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0041180199*M1*M2)}
.param IG {(0.0035650775*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0038690245*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.4p
CGK G K 3.3p
CAK A K 1.8p
.ENDS
