*
* Generic triode model: ECL85PT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Wed Oct 22 16:34:56 2008
*               Plate
*               | Grid
*               | | Cathode
*               | | |
.SUBCKT ECL85PT A G K
.param GG {(V(G,K)+0.61401316)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.075869075*EP)^-1.148877)}
.param M2 {((0.56627772*URAMP(GG+EP/5.7167203))^2.648877)}
.param P  {(0.0037731888*URAMP(GG+EP/10.095259)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0027774625*M1*M2)}
.param IG {(0.0018865944*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0024608947*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.4p
CGK G K 5.1p
CAK A K 7.1p
.ENDS
