*
* Generic pentode model: EL12
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:44 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT EL12 A G2 G1 K
.param GG  {(V(G1,K)+0.99999993)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.014506242*EG2)^-0.43509457)}
.param M2  {((0.77515592*URAMP(GG+EG2/15.499816))^1.9350946)}
.param P   {(0.0044414767*URAMP(GG+EG2/19.99574)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0025921537*M1*M2)}
.param IG  {(0.0022207383*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.906840231*(1-EP/(EP+10))^1.5+0.093159769))}
.param IK3 {(IK2*(EP+2990)/(EG2+2990))}
.param IK4 {(IK3-URAMP(IK3-(0.0025580516*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0025580516*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.6p
CGK G1 K  5.7p
C12 G1 G2 3.8p
CAK A  K  5.9p
.ENDS
