*
* Generic pentode model: EL156
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:51 2008
*             Plate
*             | Screen Grid
*             | | Control Grid
*             | | | Cathode
*             | | | |
.SUBCKT EL156 A G2 G1 K
.param GG  {(V(G1,K)+1)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.011748081*EG2)^-0.24110473)}
.param M2  {((0.86152198*URAMP(GG+EG2/11.787288))^1.7411047)}
.param P   {(0.0036416815*URAMP(GG+EG2/13.681935)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0023436481*M1*M2)}
.param IG  {(0.0018208407*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.86493423*(1-EP/(EP+10))^1.5+0.13506577))}
.param IK3 {(IK2*(EP+3400)/(EG2+3400))}
.param IK4 {(IK3-URAMP(IK3-(0.0022273001*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0022273001*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.5p
CGK G1 K  11.1p
C12 G1 G2 7.4p
CAK A  K  7p
.ENDS
