*
* Generic pentode model: EL34
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:48 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT EL34 A G2 G1 K
.param GG  {(V(G1,K)+0.29360503)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.040003405*EG2)^-0.73308055)}
.param M2  {((0.67171782*URAMP(GG+EG2/8.2063559))^2.2330806)}
.param P   {(0.0033402929*URAMP(GG+EG2/12.216969)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0019762451*M1*M2)}
.param IG  {(0.0016701465*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.87617414*(1-EP/(EP+10))^1.5+0.12382586))}
.param IK3 {(IK2*(EP+1250)/(EG2+1250))}
.param IK4 {(IK3-URAMP(IK3-(0.0020885491*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0020885491*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  1.1p
CGK G1 K  9.1p
C12 G1 G2 6.1p
CAK A  K  8.4p
.ENDS
