*
* Generic pentode model: EL95
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:50 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT EL95 A G2 G1 K
.param GG  {(V(G1,K)+1)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.012612458*EG2)^-0.34815571)}
.param M2  {((0.81161992*URAMP(GG+EG2/14.936032))^1.8481557)}
.param P   {(0.001923993*URAMP(GG+EG2/18.402742)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0011570767*M1*M2)}
.param IG  {(0.00096199651*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.84850548*(1-EP/(EP+10))^1.5+0.15149452))}
.param IK3 {(IK2*(EP+2630)/(EG2+2630))}
.param IK4 {(IK3-URAMP(IK3-(0.0011209319*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0011209319*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.4p
CGK G1 K  3.2p
C12 G1 G2 2.1p
CAK A  K  3.5p
.ENDS
