*
* Generic triode model: EL95T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:50 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT EL95T A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.012612458*EP)^-0.34815571)}
.param M2 {((0.81161992*URAMP(GG+EP/14.936032))^1.8481557)}
.param P  {(0.001923993*URAMP(GG+EP/18.402742)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0011570767*M1*M2)}
.param IG {(0.00096199651*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0011209319*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.5p
CGK G K 3.2p
CAK A K 3.5p
.ENDS
