*
* Generic triode model: PX25
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:05 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT PX25 A G K
.param GG {(V(G,K)+-1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.042915161*EP)^-0.71624142)}
.param M2 {((0.67682157*URAMP(GG+EP/7.5306353))^2.2162414)}
.param P  {(0.0019818048*URAMP(GG+EP/11.126471)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0011671444*M1*M2)}
.param IG {(0.00099090241*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0012639928*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 14.8p
CGK G K 11.4p
CAK A K 8.3p
.ENDS
