*
* Generic pentode model: Pen45
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:02 2008
*             Plate
*             | Screen Grid
*             | | Control Grid
*             | | | Cathode
*             | | | |
.SUBCKT Pen45 A G2 G1 K
.param GG  {(V(G1,K)+0.77688676)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.013260501*EG2)^-0.37488998)}
.param M2  {((0.80004694*URAMP(GG+EG2/15.078846))^1.87489)}
.param P   {(0.0032965978*URAMP(GG+EG2/18.847452)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0019602521*M1*M2)}
.param IG  {(0.0016482989*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.84850548*(1-EP/(EP+10))^1.5+0.15149452))}
.param IK3 {(IK2*(EP+950)/(EG2+950))}
.param IK4 {(IK3-URAMP(IK3-(0.001914113*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.001914113*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.85p
CGK G1 K  13.2p
C12 G1 G2 8.8p
CAK A  K  11.9p
.ENDS
