*
* Generic pentode model: WE310A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:11 2008
*              Plate
*              | Screen Grid
*              | | Control Grid
*              | | | Cathode
*              | | | |
.SUBCKT WE310A A G2 G1 K
.param GG  {(V(G1,K)+0.54054476)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.010235898*EG2)^-0.32209043)}
.param M2  {((0.82323027*URAMP(GG+EG2/17.269587))^1.8220904)}
.param P   {(0.00076747724*URAMP(GG+EG2/20.977833)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.00046759791*M1*M2)}
.param IG  {(0.00038373862*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.83327343*(1-EP/(EP+10))^1.5+0.16672657))}
.param IK3 {(IK2*(EP+7155)/(EG2+7155))}
.param IK4 {(IK3-URAMP(IK3-(0.00043926524*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.00043926524*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.016p
CGK G1 K  3.6p
C12 G1 G2 2.4p
CAK A  K  9p
.ENDS
